# Uses of Interface
org.eclipse.jdt.ui.jarpackager.IJarDescriptionWriter

Packages that use IJarDescriptionWriter
Package
Description
org.eclipse.jdt.ui.jarpackager
Provides classes and interfaces to generate a JAR file.

## Uses of IJarDescriptionWriter in org.eclipse.jdt.ui.jarpackager

Methods in org.eclipse.jdt.ui.jarpackager that return IJarDescriptionWriter
Modifier and Type
Method
Description
`IJarDescriptionWriter`
JarPackageData.`createJarDescriptionWriter(OutputStream outputStream)`
Deprecated.
Use `JarPackageData.createJarDescriptionWriter(OutputStream, String)` instead
`IJarDescriptionWriter`
JarPackageData.`createJarDescriptionWriter(OutputStream outputStream, String encoding)`
Creates and returns a JAR package data description writer for this JAR package data object.